﻿using UnityEngine;
using System.Collections;
using UnityEngine.EventSystems;
using UnityEngine.Networking;
using UnityEngine.Networking.Match;
using UnityEngine.UI;

public class BrowserButton : MonoBehaviour, IPointerClickHandler {
	public System.Action<MatchDesc> OnClickedHandler;
	public MatchDesc match;

	public void SetText(string gameName)
	{
		GetComponentInChildren<Text>().text = gameName;
	}

	#region IPointerClickHandler implementation
	public void OnPointerClick (PointerEventData eventData)
	{
		if(OnClickedHandler != null)
			OnClickedHandler.Invoke(match);
	}
	#endregion
}
